"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.renderForm = void 0;

var _createKeyboard = require("../../createKeyboard");

var renderForm = function renderForm(_ref) {
  var path = _ref.path,
      action = _ref.action,
      field = _ref.field,
      form = _ref.form,
      formName = _ref.formName,
      repliedMessageId = _ref.repliedMessageId;
  var fields = form.fields;

  if (action === 'init') {
    var _text = fields.map(function (name) {
      return "\u2014 ".concat(form.controls[name].title);
    }).join('\n');

    return ["".concat(form.title, "\n\n\u2139\uFE0F \u0424\u043E\u0440\u043C\u0430 [\u043D\u0435\u043E\u0431\u0445\u043E\u0434\u0438\u043C\u043E \u0437\u0430\u043F\u043E\u043B\u043D\u0438\u0442\u044C]:\n").concat(_text), (0, _createKeyboard.createKeyboard)({
      type: 'inline',
      buttons: [{
        title: "\u27A1\uFE0F \u041D\u0430\u0447\u0430\u0442\u044C",
        value: "".concat(path, "?action=start&repliedMessageId=").concat(repliedMessageId, "&formName=").concat(formName)
      }, {
        title: "\u274C \u041E\u0442\u043C\u0435\u043D\u0430",
        value: "".concat(path, "?action=cancel&repliedMessageId=").concat(repliedMessageId, "&formName=").concat(formName)
      }]
    })];
  }

  var text = fields.map(function (name) {
    var title = form.controls[name].title;
    var value = field === name ? '[✍️ заполняется]' : form.getValue(name) || '[не заполнено]';
    return "\u2014 ".concat(title, ": ").concat(value);
  }).join('\n');

  if (action === 'set') {
    return ["".concat(form.title, "\n\n\u2139\uFE0F \u0424\u043E\u0440\u043C\u0430 [\u0432 \u043F\u0440\u043E\u0446\u0435\u0441\u0441\u0435 \u0437\u0430\u043F\u043E\u043B\u043D\u0435\u043D\u0438\u044F]:\n").concat(text), (0, _createKeyboard.createKeyboard)({
      type: 'inline',
      buttons: [{
        title: "\uD83D\uDD04 \u0417\u0430\u043F\u043E\u043B\u043D\u0438\u0442\u044C \u0437\u0430\u043D\u043E\u0432\u043E",
        value: "".concat(path, "?action=start&repliedMessageId=").concat(repliedMessageId, "&formName=").concat(formName)
      }, {
        title: "\u274C \u041E\u0442\u043C\u0435\u043D\u0430",
        value: "".concat(path, "?action=cancel&repliedMessageId=").concat(repliedMessageId, "&formName=").concat(formName)
      }]
    })];
  }

  return ["".concat(form.title, "\n\n\u2139\uFE0F \u0424\u043E\u0440\u043C\u0430 [\u043E\u0436\u0438\u0434\u0430\u0435\u0442 \u043F\u043E\u0434\u0442\u0432\u0435\u0440\u0436\u0434\u0435\u043D\u0438\u044F]:\n").concat(text), (0, _createKeyboard.createKeyboard)({
    type: 'inline',
    buttons: [{
      title: "\u2705 \u041F\u043E\u0434\u0442\u0432\u0435\u0440\u0434\u0438\u0442\u044C",
      value: "".concat(path, "?action=submit&repliedMessageId=").concat(repliedMessageId, "&formName=").concat(formName)
    }, {
      title: "\uD83D\uDD04 \u0417\u0430\u043F\u043E\u043B\u043D\u0438\u0442\u044C \u0437\u0430\u043D\u043E\u0432\u043E",
      value: "".concat(path, "?action=start&repliedMessageId=").concat(repliedMessageId, "&formName=").concat(formName)
    }, {
      title: "\u274C \u041E\u0442\u043C\u0435\u043D\u0430",
      value: "".concat(path, "?action=cancel&repliedMessageId=").concat(repliedMessageId, "&formName=").concat(formName)
    }]
  })];
};

exports.renderForm = renderForm;
var _default = renderForm;
exports["default"] = _default;
//# sourceMappingURL=renderForm.js.map